# pion Namespace Reference

## Detailed Description

the following enables use of the lock-free cache

## Classes

class | PionAdminRights
struct | algo
class | PionBlob
struct | HashPionIdBlob
| optimized hash function object for PionBlob objects which contain PionId string representations (bb49b9ca-e733-47c0-9a26-0f8f53ea1660) More...
class | PionCounter
class | PionTimeFacet
class | PionException
class | BadAssertException
struct | CaseInsensitiveEqual
| returns true if two strings are equal (ignoring case) More...
struct | CaseInsensitiveHash
| case insensitive hash function for std::string More...
struct | CaseInsensitiveLess
| returns true if str1 < str2 (ignoring case) More...
class | PionId
class | PionIdGeneratorBase
class | PionLockedQueue
class | PionLockFreeQueue
struct | PionLogger
class | PionPlugin
class | PionPluginPtr
class | PionPoolAllocator
class | PionScheduler
class | PionMultiThreadScheduler
class | PionSingleServiceScheduler
class | PionOneToOneScheduler
class | PluginManager

## Namespaces

namespace | net
namespace | plugins

## Typedefs

typedef boost::posix_time::ptime | PionDateTime
| PionDateTime is a typedef for boost::posix_time::ptime.
typedef PION_HASH_MULTIMAP< std::string, std::string, CaseInsensitiveHash, CaseInsensitiveEqual > | StringDictionary
| data type for case-insensitive dictionary of strings
typedef PionIdGeneratorBase< boost::mt19937 > | PionIdGenerator
| data type for the default PionId generator class